diff third_party/emsdk/docker/test_dockerimage.sh @ 179:8d17f6e6e290

[ThirdParty] Added emsdk bazel rules that can be supported by bazel 9.0.0
author MrJuneJune <me@mrjunejune.com>
date Thu, 22 Jan 2026 21:23:17 -0800
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/third_party/emsdk/docker/test_dockerimage.sh	Thu Jan 22 21:23:17 2026 -0800
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+set -ex
+
+if [ $EUID -eq 0 ]; then
+  sudo -u nobody `which emcc` --version
+fi
+
+which emsdk
+node --version
+npm --version
+python3 --version
+pip3 --version
+em++ --version
+emcc --version
+java -version
+cmake --version
+
+exit_code=0
+
+# test emcc compilation
+echo 'int main() { return 0; }' | emcc -o /tmp/main.js -xc -
+node /tmp/main.js || exit_code=$?
+if [ $exit_code -ne 0 ]; then
+  echo "Node exited with non-zero exit code: $exit_code"
+  exit $exit_code
+fi
+
+# test embuilder
+embuilder build zlib --force